tr {
    white-space: nowrap;
}

body[data-sidebar-size="sm"] .back-btn-header.top {
    position: fixed;
    top: 18px;
    left: 120px;
    z-index: 999;
}

/* Tablets  (≤768px) */
@media (max-width: 768px) {
    .tablet-mb-10 {
        margin-bottom: 10px;
    }

    .tablet-px-0 {
        padding-inline: 0px;
    }

    #calendar .fc-header-toolbar .btn-group {
        margin-right: 0px !important;
    }

    #calendar .fc-toolbar.fc-header-toolbar {
        flex-direction: column !important;
    }

    .add-new-appointment-model .modal-dialog {
        max-width: 90% !important;
    }

    .tablet-flex-direction-column {
        flex-direction: column !important;
    }

    .tablet-align-item-left {
        text-align: left !important;
        align-items: flex-start !important;
    }

    .tablet-align-item-end {
        text-align: end !important;
        align-items: flex-end !important;
    }
   .profile-container .case-matter-title{
        max-width: 60% !important;
    }
   .profile-container .matter-headline{
        display: flow;
    }
    .profile-container .case-matter-name{
        font-size: 14px;
    }
    .fc-agendaWeek-button{
        display: none !important;
    }
    .fc-scroller.fc-day-grid-container,
    .fc-scroller.fc-time-grid-container,
    .fc-scroller{
            height: 441.8px !important;
    }

/* Table Responsive */
     .responsive-stack thead {
        display: none;
    }

    .responsive-stack,
    .responsive-stack tbody,
    .responsive-stack tr,
    .responsive-stack td {
        display: block;
        width: 100%;
    }

    .responsive-stack tr {
        margin-bottom: 15px;
        border: 1px solid #ddd;
        border-radius: 10px;
        overflow: hidden;
        background: #fff;
    }

    .responsive-stack td {
        position: relative;
        padding-left: 35%;
        text-align: left;
        border-bottom: 1px solid #eee;
        min-height: 50px;

        display: flex;
        align-items: center;
    }

    .responsive-stack td:last-child {
        border-bottom: none;
    }

    .responsive-stack td::before {
        content: attr(data-label);
        position: absolute;
        left: 15px;
        width: 40%;
        font-weight: 600;
        color: #555;
    }
    .back-btn-header{
        width: unset !important;
    }
}

/* Large phones (≤576px) */
@media (max-width: 576px) {
    #calendar .fc-toolbar.fc-header-toolbar {
        margin-top: 45px;
    }

    .add-new-appointment-model .modal-dialog {
        max-width: 100% !important;
    }

    .largePhone-flex-direction-column {
        flex-direction: column !important;
    }

    .largePhone-mb-10 {
        margin-bottom: 10px !important;
    }

    .largePhone-content-center {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .profile-container .created-at{
        font-size: 12px;
    }
    .profile-container .case-edit-btn span{
        display: none;
    }
    .profile-container .case-edit-btn i{
        margin: 0px;
    }
    .profile-container .case-edit-btn{
        border-radius: 0;
        width: 30px;
        height: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
     .profile-container .case-matter-title{
        max-width: 80% !important;
    }
    .profile-container .head.pull-away{
           flex-direction: column;
    align-items: baseline;
    }
        .profile-container .case-matter-name {
        font-size: 12px;
    }
    .toast {
        min-width: 200px !important;
        max-width: 300px !important;
    }
    .matter-filter-header #filterForm{
        width: 100% !important;
    }
    .matter-filter-header #filterForm select,
    .matter-filter-header #filterForm input,
    .matter-filter-header #filterForm .client-search-input-head{
        width: 100% !important;
    }

    .select2-container .select2-selection--multiple{
        height: unset !important;
    }
    .select2-container--default .select2-search--inline .select2-search__field{
        padding-block: 10px !important;
    }
    #taskModal .modal-dialog{
        max-width: 100% !important;
    }
}

/* Small phones (≤480px) */
@media (max-width: 480px) {
    .hide_mobile{
        display: none;
    }
    .dashboard-container .card.cm-h {
        min-height: 100px !important;
    }
    .cm-btn {
        width: auto !important;
    }
     .profile-container .case-matter-title{
        max-width: 75% !important;
    }
}

/* Extra small devices (≤360px) */
@media (max-width: 360px) {}


.pagination-header {
    width: 100%;
    overflow: hidden;
}

.step-indicator {
    display: flex;
    /* flex-wrap: nowrap; */
    overflow-x: hidden;
    overflow-y: hidden;
    white-space: nowrap;
    width: 100%;
    flex-wrap: wrap !important;
    gap: 0.5rem !important;

    -webkit-overflow-scrolling: touch;
    scrollbar-width: thin;
}

.step-item {
    flex: 0 0 auto;
    min-width: 180px; /* apni need ke mutabiq */
}